Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MethodSelectionException

- org.codehaus.groovy.runtime.metaclass.MethodSelectionException

-     public class MethodSelectionException
      extends GroovyRuntimeException

  This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.

  Note: This exception as for internal use only!

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodSelectionException(String methodName, FastArray methods, Class[] arguments)` Creates a new MethodSelectionException.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public MethodSelectionException(String methodName, FastArray methods, Class[] arguments)

      Creates a new MethodSelectionException.

      Parameters:
        `methodName` - name of the method
        `methods` - a FastArray of methods
        `arguments` - the method call argument classes

  - ### Method Detail

    - #### @Override
      public String getMessage()